<?
require_once '../core/system.php';
echo only_reg();
$header = 'Смена Ника!';
require_once H.'core/head.php';
switch($act) {
case 'post':
if(isset($_POST['nick'])){
$nick = check($_POST['nick']);
if(strlen($nick) < 3 or strlen($nick) > 20) $err =  'Длина ника должна быть в пределах 3 - 20 символов';
if(mysql_result(mysql_query("SELECT COUNT(*)  FROM `user` WHERE `nick` = '$nick'"),0) == true) $err = 'Игрок с таким ником уже существует, выбирете другой';
if($user[gold] < 500) $err =  'Нужно 500 золота!';
if(!isset($err)) {
mysql_query("UPDATE `user` SET `gold` = '".($user['gold']-500)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `nick` = '".mysql_real_escape_string($nick)."' WHERE `id` = '$user[id]' LIMIT 1");
setcookie('nick', $nick, time()+86400*365, '/');
header('Location: ?');
$_SESSION['message'] = 'Ник изменен!';
exit();
}else{
header('Location: ?');
$_SESSION['err'] = $err;
// Вывод ошибки 
exit();
} 
}else{
header('Location: /settings.php');
$_SESSION['err'] = 'Введите ник';
exit();
}
break;
default:
echo '<div class="new-link-tree" style="vertical-align:middle;"><div class="new-link-tree-step1"><a href="/" class="new-tree-link"><span class="link-span">Главная</span></a></div><div class="new-link-tree-step2"><a href="/settings.php" class="new-tree-link"><span class="link-span"> Мой бандит</span></a></div></div>';
echo '<form class="player" method="post" action="?act=post">
<div class="block10t"><div class="panelInfo"><div class="panelInfoHeader">Смена имени персонажа</div><center>Введи желаемый ник<br /><input class="text large" type="text" name="nick" />
<div class="block10t"><input class="button_xl" type="submit" value="Изменить"></div></div></div>
</form>';
}
require_once H.'core/foot.php';
?>